ExtractTar Class Reference
Collaboration diagram for ExtractTar:
[legend]

## Classes

struct | TarHeader

## Public Member Functions

bool | Go (pkgDirStream &Stream)
| ExtractTar (FileFd &Fd, unsigned long long Max, std::string DecompressionProgram)

## Protected Types

enum | ItemType { NormalFile0 = '\0' , NormalFile = '0' , HardLink = '1' , SymbolicLink = '2' , CharacterDevice = '3' , BlockDevice = '4' , Directory = '5' , FIFO = '6' , GNU_LongLink = 'K' , GNU_LongName = 'L' }

## Protected Member Functions

bool | StartGzip ()
bool | Done ()

## Protected Attributes

FileFd & | File
unsigned long long | MaxInSize
int | GZPid
FileFd | InFd
bool | Eof
std::string | DecompressProg

The documentation for this class was generated from the following files:

- apt-pkg/contrib/extracttar.h
- apt-pkg/contrib/extracttar.cc